package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * AdoptDeviceRequest
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class AdoptDeviceRequest   {
  @JsonProperty("username")
  private String username;

  @JsonProperty("password")
  private String password;

  public AdoptDeviceRequest username(String username) {
    this.username = username;
    return this;
  }

  /**
   * Adopt device username. It should contain 1 to 64 characters.
   * @return username
  */
  @ApiModelProperty(value = "Adopt device username. It should contain 1 to 64 characters.")


  public String getUsername() {
    return username;
  }

  public void setUsername(String username) {
    this.username = username;
  }

  public AdoptDeviceRequest password(String password) {
    this.password = password;
    return this;
  }

  /**
   * Adopt device password. It should contain 1 to 64 characters.
   * @return password
  */
  @ApiModelProperty(value = "Adopt device password. It should contain 1 to 64 characters.")


  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AdoptDeviceRequest adoptDeviceRequest = (AdoptDeviceRequest) o;
    return Objects.equals(this.username, adoptDeviceRequest.username) &&
        Objects.equals(this.password, adoptDeviceRequest.password);
  }

  @Override
  public int hashCode() {
    return Objects.hash(username, password);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AdoptDeviceRequest {\n");
    
    sb.append("    username: ").append(toIndentedString(username)).append("\n");
    sb.append("    password: ").append(toIndentedString(password)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

